initPassword:
  enabled: true
  # password: ""
  passwordSecret: starrocks-root-pass
starrocksCluster:
  componentValues:
    image:
      tag: 4.0-latest
      # tag: 3.5-latest
  enabledBe: false
  enabledCn: true
starrocksCnSpec:
  affinity: {}
  autoScalingPolicy: {}
  nodeSelector: {}
  resources:
    limits:
      cpu: 2
      memory: 4Gi
    requests:
      cpu: 100m
      memory: 500Mi
  storageSpec:
    logStorageSize: 5Gi
    name: be
    storageSize: 5Gi
  tolerations: []
starrocksFESpec:
  affinity: {}
  config: |
    # enable shared data, set storage type, set endpoint
    run_mode = shared_data
    cloud_native_storage_type = S3
    aws_s3_endpoint = minio.minio.svc.cluster.local:9000

    # set the path in MinIO
    aws_s3_path = starrocks

    # credentials for MinIO object read/write
    aws_s3_access_key = 8rfm3AYUtt0s62K4ex6E
    aws_s3_secret_key = bvpZZmzWf3ggiCiJ2IbiJmMTDTl7E3Fja6rIMqb0
    aws_s3_use_instance_profile = false
    aws_s3_use_aws_sdk_default_behavior = false

    enable_load_volume_from_conf = true
  nodeSelector: {}
  resources:
    limits:
      cpu: 2
      memory: 4Gi
    requests:
      cpu: 100m
      memory: 500Mi
  service:
    type: ClusterIP
  storageSpec:
    logStorageSize: 5Gi
    name: fe
    storageClassName: ""
    storageSize: 10Gi
  tolerations: []
starrocksFeProxySpec:
  enabled: true
  resolver: rke2-coredns-rke2-coredns.kube-system.svc.cluster.local
  service:
    type: ClusterIP
timeZone: Asia/Seoul
